import { defineStore } from 'pinia'
import { ref } from 'vue'
import { ICourse } from '@renderer/types'

export const useGlobalStore = defineStore('global', () => {
  const courseInfo = ref<ICourse | null>(null)

  const saveCourseInfo = (new_course: ICourse) => {
    courseInfo.value = new_course
  }

  const clearCourseInfo = () => {
    courseInfo.value = null
  }

  return { courseInfo, saveCourseInfo, clearCourseInfo }
})
